Skip to content
developers

Retrieve payment intent

Browse API reference

GET/payment-intents/{paymentIntentId}getPaymentIntent

Use this method to retrieve a payment intent, including who is paying for the terminal order and how they are paying for the terminal order.

Include the paymentIntentId that we sent you when you created the terminal order.

Parameters

NameInTypeDescription
paymentIntentIdRequiredpathstring

Unique identifier that we assigned to the payment intent.

Responses

Successful request. Returns the payment intent.

200 OK · application/json
{
  "costBreakdown": {
    "customCharges": [
      {
        "name": "FleeceCharge",
        "value": 500
      }
    ],
    "items": [
      {
        "name": "TariffCosts",
        "quantity": 1,
        "unitCost": 999
      }
    ],
    "shippingCost": 100
  },
  "payment": {
    "frequency": {
      "type": "singlePayment"
    },
    "method": "hostedPaymentPage",
    "payer": "merchant",
    "status": "pendingPayment"
  },
  "paymentIntentId": "15387",
  "paymentIntentType": "purchase",
  "subTotal": 100,
  "tax": {
    "isTaxExempt": false,
    "taxAmount": 100
  }
}
Response schema · 28 fields
  • option 1object
    • costBreakdownobject
      Object that contains information about the items in the terminal order and the cost of the items.
      • customChargesobject[]
        List of additional charges for the order.1–10 items
        • namestringrequired
          Name of the charge.1–50 chars
        • valueintegerrequired
          Cost of the charge. The value is in the currency’s lowest denomination, for example, cents.0–999999
      • itemsobject[]required
        Array of items objects.1–10 items
        • namestringrequired
          Name or brief description of the item.1–50 chars
        • quantityintegerrequired
          Quantity of the item in the order.≥ 1
        • unitCostintegerrequired
          Cost of the item. The value is in the currency’s lowest denomination, for example, cents.0–999999
      • shippingCostinteger
        Cost of shipping the terminal order. The value is in the currency’s lowest denomination, for example, cents.0–999999
    • paymentobjectrequired
      Object that contains information about how the payer is paying for the terminal order.
      • option 1object
        • statusstringrequired
          Status of the payment intent. The value is one of the following: pendingPayment We haven't received payment for the terminal order. pendingCancellation We haven't received payment for the terminal order, and we are going to cancel the terminal order unless we receive payment. successful We received payment for the terminal order. unsuccessful We attempted to take payment for a terminal order, but it was unsuccessful. cancelled We have canceled the terminal order as we didn't receive payment. Note: To receive notifications if we change the status of a payment intent, subscribe to our paymentIntent.status.changed event. For more information about how to subscribe to events, go to Event Subscriptions.≤ 19 charspendingPaymentpendingCancellationsuccessfulunsuccessfulcancelled
        • frequencyobject
          Object that indicates whether the merchant pays for the terminal in a single payment or in multiple installments.
          • numberOfInstallmentsinteger
            Number of monthly payments for the terminal order. The merchant can pay for their order over a minimum of two months or a maximum of six months.2–6
          • typestringrequired
            Indicates whether the merchant wants to pay for the terminal order in one payment or in multiple installments. If the merchant wants to pay in installments, send a value for the numberOfInstallments parameter.≤ 13 charssinglePaymentinstallments
        • methodstringrequired
          Method of payment for the terminal order. The value is one of the following: hostedPaymentPage We send a link to the merchant to pay for the terminal order. accountOnFile We use the merchant's payment details that we have stored to pay for the terminal order.≤ 17 charshostedPaymentPageaccountOnFile
        • payerstringrequired
          Indicates who is paying for the terminal order. Send a value of merchant.≤ 12 charsmerchant
      • option 2object
        • statusstringrequired
          Status of the payment intent. The value is one of the following: pendingPayment We haven't received payment for the terminal order. pendingCancellation We haven't received payment for the terminal order, and we are going to cancel the terminal order unless we receive payment. successful We received payment for the terminal order. unsuccessful We attempted to take payment for a terminal order, but it was unsuccessful. cancelled We have canceled the terminal order as we didn't receive payment. Note: To receive notifications if we change the status of a payment intent, subscribe to our paymentIntent.status.changed event. For more information about how to subscribe to events, go to Event Subscriptions.≤ 19 charspendingPaymentpendingCancellationsuccessfulunsuccessfulcancelled
        • methodstringrequired
          Method of payment for the terminal order. The value is one of the following: accountOnFile We use the sales partner's account details that we have stored to pay for the order. residualOffset We use the sales partner's residuals to pay for the order.≤ 17 charsaccountOnFileresidualOffset
        • payerstringrequired
          Indicates who is paying for the terminal order. Send a value of salesPartner.≤ 12 charssalesPartner
    • paymentIntentIdstringrequired
      Unique identifier we assigned to the payment intent.
    • paymentIntentTypestringrequired
      Type of payment intent.≤ 8 charspurchase
    • subTotalinteger
      Total amount of the terminal order before tax. The value is in the currency’s lowest denomination, for example, cents. Note: You must send a value for this parameter if the payer is merchant.0–999999
    • taxobject
      Object that contains the tax information for the terminal order.
      • isTaxExemptboolean
        Indicates if the terminal order is tax exempt. The default value is false. Note: If you send a value of false, send a value for the taxAmount parameter.
      • taxAmountinteger
        Amount of tax for the terminal order. The value is in the currency’s lowest denomination, for example, cents.0–999999

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer